Package ghidra.app.util.bin.format.golang.rtti

# Record Class GoSourceFileInfo

java.lang.Object
java.lang.Record
ghidra.app.util.bin.format.golang.rtti.GoSourceFileInfo

Record Components:
  `fileName` - source filename
  `lineNum` - source line number

public record GoSourceFileInfo(String fileName, int lineNum) extends Record
Represents a Go source file and line number tuple.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoSourceFileInfo(String fileName, int lineNum)`
  Creates an instance of a `GoSourceFileInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `fileName()`
  Returns the value of the `fileName` record component.
  `String`
  `getDescription()`
  Returns source location info as a string formatted as "filename:linenum".
  `String`
  `getFileName()`
  `int`
  `getLineNum()`
  `String`
  `getVerboseDescription()`
  Returns source location info as a string formatted as "File: filename Line: linenum".
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `lineNum()`
  Returns the value of the `lineNum` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GoSourceFileInfo

    public GoSourceFileInfo(String fileName, int lineNum)
    Creates an instance of a `GoSourceFileInfo` record class.
    Parameters:
      `fileName` - the value for the `fileName` record component
      `lineNum` - the value for the `lineNum` record component

- ## Method Details

  - ### getFileName

    public String getFileName()

  - ### getLineNum

    public int getLineNum()

  - ### getDescription

    public String getDescription()
    Returns source location info as a string formatted as "filename:linenum".
    Returns:
      source location info as a string formatted as "filename:linenum"

  - ### getVerboseDescription

    public String getVerboseDescription()
    Returns source location info as a string formatted as "File: filename Line: linenum".
    Returns:
      source location info as a string formatted as "File: filename Line: linenum"

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fileName

    public String fileName()
    Returns the value of the `fileName` record component.
    Returns:
      the value of the `fileName` record component

  - ### lineNum

    public int lineNum()
    Returns the value of the `lineNum` record component.
    Returns:
      the value of the `lineNum` record component